# Blocks

### Get Block and Uncle Rewards by Block Number <a href="#block-and-uncle-rewards" id="block-and-uncle-rewards"></a>

Returns block and uncle block rewards by block number.

```
GET https://testnetapi.metadium.com/v1/blocks/{block_number}
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>block_number</em></td><td><p>type: Long</p><p>value: Block number</p><p>required: true</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "data": {
            "timestamp": "2023-05-24T23:54:45Z",
            "miner": "0xcfff678cafa652227c7a98ec6bcbfba0e3d1da19",
            "reward": "0",
            "fees": "0",
            "block_number": "42315230",
            "mining_reward": "0"
        }
    }
}
```

{% endtab %}
{% endtabs %}
